Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QAbstractFileEngine.FileOwner

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QAbstractFileEngine.FileOwner

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractFileEngine

    public static final class QAbstractFileEngine.FileOwner

extends java.lang.Enum
implements QtEnumerator

See also.
  `owner()`, `ownerId()`, and `setFileName()`.

See Also:
  Serialized Form

Field Summary
`static QAbstractFileEngine.FileOwner` | `OwnerGroup` The group who owns the file.
`static QAbstractFileEngine.FileOwner` | `OwnerUser` The user who owns the file.

Method Summary
`static QAbstractFileEngine.FileOwner` | `resolve(int value)` Returns the FileOwner constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractFileEngine.FileOwner` | `valueOf(java.lang.String name)`
`static QAbstractFileEngine.FileOwner[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OwnerUser

    public static final QAbstractFileEngine.FileOwner OwnerUser

  The user who owns the file.

### OwnerGroup

    public static final QAbstractFileEngine.FileOwner OwnerGroup

  The group who owns the file.

Method Detail

### values

    public static QAbstractFileEngine.FileOwner[] values()

### valueOf

    public static QAbstractFileEngine.FileOwner valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractFileEngine.FileOwner resolve(int value)

  Returns the FileOwner constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD